libzypp: zypp::syscontent::Reader Class Reference

libzypp 17.38.14

zypp::syscontent::Reader Class Reference

Retrieve ResObject data serialized by Writer. More...

`#include <zypp/SysContent.h>`

## Classes
class | Entry
| Restored ResObject data. More...

## Public Types
using | value_type = StorageT::value_type
using | size_type = StorageT::size_type
using | iterator = StorageT::iterator
using | const_iterator = StorageT::const_iterator

## Public Member Functions
| Reader ()
| Default Ctor.
| Reader (std::istream &input_r)
| Ctor parsing data from input_r.
Identification.
User provided optional data to identify the collection.
const std::string & | name () const
| Get name.
const Edition & | edition () const
| Get edition.
const std::string & | description () const
| Get description.
const Date & | ctime () const
| Get creation date.

## Private Types
using | StorageT = std::list<Entry>

## Collected data.
RWCOW_pointer< Impl > | _pimpl
bool | empty () const
| Whether no data collected so far.
size_type | size () const
| Number of items collected.
const_iterator | begin () const
| Iterator to the begin of collected data.
const_iterator | end () const
| Iterator to the end of collected data.

## Detailed Description

Retrieve ResObject data serialized by Writer.

See also
  Writer

Definition at line 171 of file SysContent.h.

## Member Typedef Documentation

## ◆ StorageT

using zypp::syscontent::Reader::StorageT = std::list<Entry>
| private

Definition at line 178 of file SysContent.h.

## ◆ value_type

using zypp::syscontent::Reader::value_type = StorageT::value_type

Definition at line 181 of file SysContent.h.

## ◆ size_type

using zypp::syscontent::Reader::size_type = StorageT::size_type

Definition at line 182 of file SysContent.h.

## ◆ iterator

using zypp::syscontent::Reader::iterator = StorageT::iterator

Definition at line 183 of file SysContent.h.

## ◆ const_iterator

using zypp::syscontent::Reader::const_iterator = StorageT::const_iterator

Definition at line 184 of file SysContent.h.

## Constructor & Destructor Documentation

## ◆ Reader() [1/2]

zypp::syscontent::Reader::Reader | ( |  | ) |

Default Ctor.

Definition at line 407 of file SysContent.cc.

## ◆ Reader() [2/2]

zypp::syscontent::Reader::Reader | ( | std::istream & | input_r | ) |

Ctor parsing data from input_r.

Exceptions

  Exception | on read or parse error.

Definition at line 411 of file SysContent.cc.

## Member Function Documentation

## ◆ name()

const std::string & zypp::syscontent::Reader::name | ( |  | ) | const

Get name.

Definition at line 415 of file SysContent.cc.

## ◆ edition()

const Edition & zypp::syscontent::Reader::edition | ( |  | ) | const

Get edition.

Definition at line 418 of file SysContent.cc.

## ◆ description()

const std::string & zypp::syscontent::Reader::description | ( |  | ) | const

Get description.

Definition at line 421 of file SysContent.cc.

## ◆ ctime()

const Date & zypp::syscontent::Reader::ctime | ( |  | ) | const

Get creation date.

Definition at line 424 of file SysContent.cc.

## ◆ empty()

bool zypp::syscontent::Reader::empty | ( |  | ) | const

Whether no data collected so far.

Definition at line 427 of file SysContent.cc.

## ◆ size()

Reader::size_type zypp::syscontent::Reader::size | ( |  | ) | const

Number of items collected.

Definition at line 430 of file SysContent.cc.

## ◆ begin()

Reader::const_iterator zypp::syscontent::Reader::begin | ( |  | ) | const

Iterator to the begin of collected data.

Definition at line 433 of file SysContent.cc.

## ◆ end()

Reader::const_iterator zypp::syscontent::Reader::end | ( |  | ) | const

Iterator to the end of collected data.

Definition at line 436 of file SysContent.cc.

## Member Data Documentation

## ◆ _pimpl

RWCOW_pointer<Impl> zypp::syscontent::Reader::_pimpl
| private

Definition at line 230 of file SysContent.h.

The documentation for this class was generated from the following files:

- zypp/SysContent.h
- zypp/SysContent.cc